Bug 702426 - Package dependency problems when running "yum install *-source"
Package dependency problems when running "yum install *-source"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: 389-ds-base (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-05 12:08 EDT by Jon Taylor
Modified: 2012-01-09 10:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-09 10:54:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jon Taylor 2011-05-05 12:08:04 EDT
When I attempt to install all the source packages using "yum install *-source", I see the following error:

--> Finished Dependency Resolution
Error: mutter-mbl conflicts with mutter
Error: selinux-policy-targeted conflicts with 389-ds-base
Error: rb_libtorrent-devel conflicts with libtorrent-devel
Error: mutter-mbl-devel conflicts with mutter-devel
Comment 1 Bill Nottingham 2011-05-05 12:16:09 EDT
Please file these against the individual packages; that being said, in some cases they may not be bugs.

(mutter-mbl and mutter is the obvious one that's not a bug.)

I'll move this bug to 389-ds-base for that conflict; please file the others.
Comment 3 Nathan Kinder 2011-05-09 17:54:52 EDT
A conflict was added between selinux-policy-targeted and 389-ds-base when we moved the dirsrv SELinux policy from 389-ds-base into selinux-policy-targeted.

What versions of 389-ds-base and selinux-policy-targeted do you have installed prior to running "yum install *-source"?  What versions of these packages does yum want to pull in due to dependencies?

My guess is that yum wants to update selinux-policy-targeted due to dependencies, but 389-ds-base is not set to be updated to a version that is compatible with it.  You will likely need to update 389-ds-base and selinux-policy-targeted at the same time by doing a "yum update 389-ds-base selinux-policy-targeted".

Note You need to log in before you can comment on or make changes to this bug.